package cn.sikey.mcdisk.service;

/**
 * @Author: nelson
 * @Date: 2025/5/29
 * @Description: 消息id递增适配器
 */
public interface MessageIdIncrementingService<ID> {

    /**
     * 递增
     *
     * @return 递增后的ID
     */
    ID incr();

    /**
     * 递增
     *
     * @return 递增后的ID
     */
    ID incr(String key);
}
